
%% Swap color by using circshift
% As color information is represented in the third dimension of the matrix
% circshift can be used to swap color between R,G, B planes

clear all; close all

ima = imread('flower.jpg');

figure
for i = 1:3
    subplot(1,3,i)
    image(ima)
    axis equal
    axis off
    ima = circshift(ima, [0 0 1]);
    
end
