% Set the default figure colormap to gray (only for current MATLAB session)
% from Krista Ehinger

set(0,'DefaultFigureColormap',gray);

clear all; close all

tiger=imread('tiger.jpg');

%% Spatial filtering

% Gaussian filter with sigma = 1
f = fspecial('Gaussian',7,1);
figure; imagesc(f);
im = imfilter(tiger,f);
figure; imagesc(im); truesize

% Gaussian filter with sigma = 4
f = fspecial('Gaussian',12,4);
figure; imagesc(f);
im = imfilter(tiger,f);
figure; imagesc(im); truesize

